Package org.firebirdsql.gds.impl

## Enum ServiceRequestBufferImp.SrbMetaData

- java.lang.Object
- - java.lang.Enum<ServiceRequestBufferImp.SrbMetaData>
  - - org.firebirdsql.gds.impl.ServiceRequestBufferImp.SrbMetaData

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ServiceRequestBufferImp.SrbMetaData>`, `ParameterBufferMetaData`
  Enclosing class:
    ServiceRequestBufferImp

      public static enum ServiceRequestBufferImp.SrbMetaData
      extends java.lang.Enum<ServiceRequestBufferImp.SrbMetaData>
      implements ParameterBufferMetaData

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SRB_VERSION_2` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPreamble​(ParameterBuffer parameterBuffer)` | Allows the metadata to add a preamble to the parameter buffer.
    `int` | `getType()` | Parameter buffer type (this usually is the version of the parameter buffer).
    `static ServiceRequestBufferImp.SrbMetaData` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ServiceRequestBufferImp.SrbMetaData[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.impl.ParameterBufferMetaData

      `getByteArrayArgumentType, getIntegerArgumentType, getStringArgumentType`

- - ### Enum Constant Detail

    - #### SRB_VERSION_2

          public static final ServiceRequestBufferImp.SrbMetaData SRB_VERSION_2

  - ### Method Detail

    - #### values

          public static ServiceRequestBufferImp.SrbMetaData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceRequestBufferImp.SrbMetaData c : ServiceRequestBufferImp.SrbMetaData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceRequestBufferImp.SrbMetaData valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public final int getType()

      Description copied from interface: `ParameterBufferMetaData`
      Parameter buffer type (this usually is the version of the parameter buffer).
      Specified by:
        `getType` in interface `ParameterBufferMetaData`
      Returns:
        Buffer type (for example `ISCConstants.isc_spb_version3`).

    - #### addPreamble

          public void addPreamble​(ParameterBuffer parameterBuffer)

      Description copied from interface: `ParameterBufferMetaData`
      Allows the metadata to add a preamble to the parameter buffer.

      This is only intended for the weird "version 2" connection service parameter buffer that requires two tags for the version with `isc_spb_version, isc_spb_current_version`.

      Specified by:
        `addPreamble` in interface `ParameterBufferMetaData`
      Parameters:
        `parameterBuffer` - Parameter buffer.